#language: ru

@quality_control

Функционал: 03_quality_control. Определение нормативного времени в анализе солилки

Сценарий: 03_quality_control. Перемещение сыра в солилку
	Дано Я переключаюсь на открытый клиент "qual_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	И в поле 'от' я ввожу текст '01.11.2018 13:54:11'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'сырце'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'бассейн соления'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И в поле 'Фактическая дата перемещения' я ввожу текст '01.11.2018 13:54:11'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'росс'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыХарактеристика" я выбираю по строке 'варка'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыСерия" я выбираю по строке '11.11'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '100,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 03_quality_control. Проверка норма и факта времени в отчете
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ участка соления"
	Тогда открылось окно 'Анализ участка соления'
	И Я в отчете устанавливаю период "01.11.2018" "27.11.2018"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Вид анализа влага"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Показатель влага"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Расчет от других' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Рабочий центр варка"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Вид продукции"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:'     | 'Период: 01.11.2018 - 27.11.2018'       | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''               | 'Рабочий центр: Упаковка'               | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''               | 'Вид анализа влага: показатели МДЖ МДБ' | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''               | 'Показатель влага: Расчет от других'    | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''               | 'Рабочий центр варка: Сырцех'           | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| 'Отбор:'         | 'Вид продукции Равно "Сыр"'             | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''               | ''                                      | ''         | ''     | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| 'Продукция'      | 'Статус'                                | ''         | ''     | 'Время нахождения в бассейне (часы)' | ''             | 'Вес'  | ''      | ''       | ''  | 'Шт'   | ''      | ''        | 'Брак' | ''  | ''   |
		| 'Серия'          | 'Влага после пресса'                    | ''         | ''     | 'Норма времени'                      | 'Факт времени' | 'Вход' | 'Выход' | 'Потери' | '%' | 'Вход' | 'Выход' | 'Разница' | 'кг'   | '%' | 'шт' |
		| ''               | 'Норма от'                              | 'Норма до' | 'Факт' | ''                                   | ''             | ''     | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| 'Российский 50%' | 'Варка'                                 | ''         | ''     | '36'                                 | '1'            | '950'  | ''      | ''       | ''  | '135'  | ''      | '135'     | ''     | ''  | ''   |
		| '11.11.2018/1'   | ''                                      | ''         | ''     | '36'                                 | '1'            | '950'  | ''      | ''       | ''  | '135'  | ''      | '135'     | ''     | ''  | ''   |
		| 'Итого'          | ''                                      | ''         | ''     | '36'                                 | '1'            | '950'  | ''      | ''       | ''  | '135'  | ''      | '135'     | ''     | ''  | ''   |
	И Я закрываю окно 'Анализ участка соления'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'